Subject: Re: [COSE] Recharter the COSE working group.

From: John Mattsson <[email-masked]>
Date: Tue, 18 Sep 2018 13:34:15 +0000

Hi,

I strongly support progressing COSE to Full standard and rechartering the COSE WG. COSE is an excellent and very useful standard, and chartering the group to work on related documents are very welcome.

Splitting the document sounds very like a good idea. I am currently implementing at least parts of CBOR and COSE for the first time, if I find any sections that I think need clarification, I will post them to the list.

I would like to make COSE even more suitable for group communication in constrained environments. The current use of COSE with AEAD + counter signature in draft-ietf-core-oscore-groupcomm creates overhead (8-16 bytes) because of the symmetric MAC. The symmetric MAC is not needed for the use cases in draft-ietf-core-oscore-groupcomm. I would like to instead use AES-CTR with EdDSA.
 - This could be accomplished in COSE by either just defining AES-CRT and mandate that is always used together with a countersignature.
  - Or defining an encryption algorithm that in addition to K, N, P, A also takes a asymmetric private key and outputs ciphertext = (AES-CRT ciphertext || signature).

Cheers,
John